Index: database/factories/DepartmentFactory.php
===================================================================
--- database/factories/DepartmentFactory.php	(revision c6b84df06586305606df5b76204a64cdc63b09a2)
+++ database/factories/DepartmentFactory.php	(revision a8346eb1e5e9c211f6ad9ba9a45cbd9867fd6171)
@@ -4,7 +4,9 @@
 
 use App\Models\Department;
+use App\Models\Folder;
 use Carbon\Carbon;
 use Illuminate\Database\Eloquent\Factories\Factory;
 use Illuminate\Support\Facades\Storage;
+use function Sodium\increment;
 
 class DepartmentFactory extends Factory
@@ -24,12 +26,13 @@
     public function definition()
     {
-        $location = $this->faker->unique()->numberBetween(1, 15);
+        $location = $this->faker->unique()->numberBetween(10, 25);
         Storage::disk('uploads')->makeDirectory('Departments/' . $location);
         return [
-            'name' => "Department" . $this->faker->unique()->firstName(),
+            'name' => "Department" . ' ' . $this->faker->unique()->firstName(),
             'code' => $location,
             'location' => 'Departments' . DIRECTORY_SEPARATOR . $location,
-            'user_id' => $this->faker->numberBetween('1', '2'),
-            'created_at' => Carbon::now()
+            'no_of_folders' => 0,
+            'user_id' => "1",
+            'created_at' => $this->faker->dateTime()
         ];
     }
Index: database/factories/FileFactory.php
===================================================================
--- database/factories/FileFactory.php	(revision a8346eb1e5e9c211f6ad9ba9a45cbd9867fd6171)
+++ database/factories/FileFactory.php	(revision a8346eb1e5e9c211f6ad9ba9a45cbd9867fd6171)
@@ -0,0 +1,40 @@
+<?php
+
+namespace Database\Factories;
+
+use App\Models\File;
+use App\Models\Folder;
+use Illuminate\Database\Eloquent\Factories\Factory;
+use Illuminate\Support\Facades\Storage;
+
+class FileFactory extends Factory
+{
+    /**
+     * The name of the factory's corresponding model.
+     *
+     * @var string
+     */
+    protected $model = File::class;
+
+    /**
+     * Define the model's default state.
+     *
+     * @return array
+     */
+    public function definition()
+    {
+        $folderId = $this->faker->numberBetween('1', '500');
+
+        $folder = Folder::find($folderId);
+        $name = $folder->name . ' - ' . $this->faker->unique()->date() . '.png';
+
+        $location = $folder->location . DIRECTORY_SEPARATOR . $name;
+
+        return [
+            "folder_id" => $folderId,
+            "name" => $name,
+            "location" => $location,
+            "created_at" => $this->faker->dateTime()
+        ];
+    }
+}
Index: database/factories/FolderFactory.php
===================================================================
--- database/factories/FolderFactory.php	(revision c6b84df06586305606df5b76204a64cdc63b09a2)
+++ database/factories/FolderFactory.php	(revision a8346eb1e5e9c211f6ad9ba9a45cbd9867fd6171)
@@ -6,4 +6,5 @@
 use App\Models\Folder;
 use Carbon\Carbon;
+use Faker\Provider\DateTime;
 use Illuminate\Database\Eloquent\Factories\Factory;
 use Illuminate\Support\Facades\Storage;
@@ -27,4 +28,5 @@
 
         $deptId = $this->faker->numberBetween('1', '15');
+
         $deptCode = Department::find($deptId)->code;
         $name = $this->faker->unique()->firstName();
@@ -33,9 +35,8 @@
         Storage::disk('uploads')->makeDirectory($location);
 
-
         return [
             'arch_id' => $deptCode . "/" . $this->faker->unique()->randomNumber(),
             'name' => $name,
-            'note' => $this->faker->realText(),
+            'note' => "This a note field",
             'location' => $location,
             'user_id' => $this->faker->numberBetween('1', '2'),
Index: database/factories/UserFactory.php
===================================================================
--- database/factories/UserFactory.php	(revision c6b84df06586305606df5b76204a64cdc63b09a2)
+++ database/factories/UserFactory.php	(revision a8346eb1e5e9c211f6ad9ba9a45cbd9867fd6171)
@@ -26,7 +26,7 @@
             'name' => $this->faker->firstName(),
             'surname' => $this->faker->lastName(),
-            'username' => $this->faker->userName(),
+            'username' => $this->faker->unique()->userName(),
             'password' => $this->faker->password(),
-            'email' => $this->faker->email(),
+            'email' => $this->faker->unique()->email(),
             'phone_number' => $this->faker->phoneNumber(),
             'role_id' => $this->faker->numberBetween(1, 2),
@@ -35,5 +35,5 @@
             'is_forgot_password' => $this->faker->boolean,
             'created_by' => "1",
-            'created_at' => Carbon::now()
+            'created_at' => now()
         ];
     }
